<?xml version="1.0" encoding="utf-8"?>

<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="400dp"
    android:layout_height="300dp"
    android:orientation="horizontal">

    <View
        android:id="@+id/colorView"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"/>

    <RelativeLayout
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="2"
        android:background="@color/materialcolorpicker__white"
        android:paddingTop="@dimen/materialcolorpicker__activity_vertical_margin">

        <org.odk.collect.android.views.colorpickerdialog.MaterialColorPickerTextSeekBar
            android:id="@+id/alphaSeekBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:max="255"
            android:maxHeight="3dip"
            android:minHeight="3dip"
            android:progressDrawable="@drawable/materialcolorpicker__alpha_progress"
            android:textColor="@android:color/black"
            android:thumb="@drawable/materialcolorpicker__red_thumb_drawable"/>

        <org.odk.collect.android.views.colorpickerdialog.MaterialColorPickerTextSeekBar
            android:id="@+id/redSeekBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/alphaSeekBar"
            android:max="255"
            android:maxHeight="3dip"
            android:minHeight="3dip"
            android:progressDrawable="@drawable/materialcolorpicker__red_progress"
            android:textColor="@android:color/holo_red_light"
            android:thumb="@drawable/materialcolorpicker__red_thumb_drawable"/>

        <org.odk.collect.android.views.colorpickerdialog.MaterialColorPickerTextSeekBar
            android:id="@+id/greenSeekBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/redSeekBar"
            android:max="255"
            android:maxHeight="3dip"
            android:minHeight="3dip"
            android:progressDrawable="@drawable/materialcolorpicker__green_progress"
            android:textColor="@android:color/holo_green_light"
            android:thumb="@drawable/materialcolorpicker__green_thumb_drawable"/>

        <org.odk.collect.android.views.colorpickerdialog.MaterialColorPickerTextSeekBar
            android:id="@+id/blueSeekBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/greenSeekBar"
            android:max="255"
            android:maxHeight="3dip"
            android:minHeight="3dip"
            android:progressDrawable="@drawable/materialcolorpicker__blue_progress"
            android:textColor="@android:color/holo_blue_light"
            android:thumb="@drawable/materialcolorpicker__blue_thumb_drawable"/>

        <Button
            android:id="@+id/okColorButton"
            style="@style/Widget.AppCompat.Button.Borderless.Colored"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_alignParentEnd="true"
            android:clickable="true"
            android:text="@string/color_picker_select"
            android:textColor="@color/accent"/>

    </RelativeLayout>

</LinearLayout>